Web lists-archives.com

[Samba] Debian stretch samba 4.8.2 available amd64/i386 ( ubuntu 18.04 compatible )




Hai, 
 
I've just tested the new samba 4.8.2 on my debian stretch and a ubuntu 18.04 test server (AD DC server)
Rowland, can you test these on your Duvean server also?  :-) 
 
You only need the following for samba 4.8.2 of my repo: 

echo "deb http://apt.van-belle.nl/debian stretch-samba48 main contrib non-free" | sudo tee -a /etc/apt/sources.list.d/van-belle.list 
wget -O - http://apt.van-belle.nl/louis-van-belle.gpg-key.asc | apt-key add -
 
If you want https and not http:  apt-get install apt-transport-https and change the above lines with https. 
 
If you want to rebuild these on your own. 
You need the debian testing/sid sources and my sources, a few are not yet in debian, like ldb 1.3.3. 
echo "deb-src http://apt.van-belle.nl/debian stretch-samba48 main contrib non-free" | sudo tee -a /etc/apt/sources.list.d/van-belle.list 
 
As some might notice, i changed the apt repo line for the 4.8.x packages.
the current layout is : 
 
Debian Jessie. debian backported package, if im behind with Debian, pm me, i'll update them. 
Repo names.       Status. 
jessie-backports  curently 4.5.12   ( source from debian jessie +1 like the official backports, if im behind PM me )
jessie                 up2date with samba.org 4.5.16 
jessie                 up2date with samba.org 4.6.15 
stretch-backports follows 4.6.7 latest 4.6.x from debian testing in my repo.  (frozen) 
    this moved up quickly to 4.7.4 in Debian, and now 4.8.1 is in SID now, so no long for a move to testing.

stretch                follows 4.7 up2date with samba.org 4.7.7
stretch-samba48  follows 4.8 up2date with samba.org 4.8.2 
 
Package list: http://downloads.van-belle.nl/samba4/current-packages-in-stretch-samba48-apt.txt 

Buildlogs : http://downloads.van-belle.nl/samba4/Buildlogs/
 
Repo instructions : http://apt.van-belle.nl/ 
Howto's  https://github.com/thctlo/samba4/tree/master/howtos ;
And your primary info for samba. : https://wiki.samba.org/index.php/Main_Page ;
 
Please take not of this and please read  :  https://www.samba.org/samba/history/samba-4.8.0.html  BEFORE you install 4.8.2 , 
if you did install, your upgrade will probably end in an error. 

The fix is easy: correct your smb.conf 
run: dpkg-reconfigure -a  and the upgrade proceeds. 
 
Problems with the systemd services and old services leftovers, do note, the 4.8 package should handle this now correctly. 
 
## For a standalone server/Member server.   ( install samba + winbind is must now for members ) 
systemctl stop samba-ad-dc samba
systemctl disable samba-ad-dc samba
systemctl mask samba-ad-dc samba
 
systemctl unmask smbd winbind nmbd
systemctl enable smbd winbind nmbd
systemctl start smbd winbind nmbd
 
## For an AD-DC setup.
systemctl stop smbd nmbd winbind
systemctl disable smbd nmbd winbind
systemctl mask smbd nmbd winbind
 
systemctl unmask samba-ad-dc
systemctl enable samba-ad-dc
systemctl start samba-ad-dc
 
 
Have fun with these. 
Questions, let met know. 

Greetz, 
 
Louis
 
-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba